clear all
close all

% Spektralanteile fr die Ausgabe
% Werte ohne <> und mit Punkt als Dezimaltrenner eintragen!
freqs = [
    <frequenz> <Leistung[dB]>;
    <frequenz> <Leistung[dB]>;
    <frequenz> <Leistung[dB]>;
    <frequenz> <Leistung[dB]>;
    <frequenz> <Leistung[dB]>;
];

fs = 44100; % Samplerate
T = 0.25;   % Dauer in Sekunden

t = 0:1/fs:T; % Zeitsignal generieren
dat = zeros(1, T * fs + 1);

dim = size(freqs);

% Alle Wellenformen dem Zeitsignal hinzufgen
for x = 1:dim(1)
    dat = dat + cos(2*pi * freqs(x,1) * t) * 10.^(freqs(x, 2) / 10);
end

% Werte Normalisieren
factor = max(abs(dat));
dat = dat / factor;

% Wellenform anzeigen
figure(1);
plot(t, dat);
title('Waveform');
xlabel('t in s');

% Spektrum berechnen und anzeigen
figure(2);
f = (0:1/T:fs) ./ 1000;
maxf = fs*T/2;

spec = abs(fft(dat));
plot(f(1:maxf), spec(1:maxf));
title('Spektrum');
xlabel('f in kHz');

% Wave-Datei erzeugen
wavwrite(dat, fs, 'C:\temp\test.wav');
